Subject: bug#11964: describe-char causes a fatal error (abort trap: 6) in non-windowed mode

From: Chong Yidong <[email-masked]>
Date: Mon, 26 Nov 2012 11:55:32 +0800

Eli Zaretskii <[email-masked]> writes:

> It is wrong to call internal-char-font on a non-GUI frame; for
> starters, that function might not be compiled in, e.g. if Emacs was
> configured --without-x.  All the other callers of that function are
> careful not to do that.  Does the patch below fix the problem?
>
> I also think internal-char-font should not blindly call the font
> driver without checking that it isn't NULL first.

Thanks for the patch.  But I'm not sure this is 100% fixed yet: calling
internal-char-font on a tty should not crash Emacs, since Lisp calls
should never cause a crash.  So I think internal-char-font should return
nil if the seleced frame is non-graphical.